<?PHP
if (!empty($ico_novo["name"])) {

		// Largura máxima em pixels
		$largura = 800;
		// Altura máxima em pixels
		$altura = 600;
		// Tamanho máximo do arquivo em bytes
		$tamanho = 300000;
				
		// Verifica se o arquivo é uma imagem
    	if(!preg_match("/(gif|bmp|png|jpg|JPG|jpeg|x-shockwave-flash)/", $ico_novo["type"])){
     	   $error[1] = "<p class='erro'>Isso não é uma imagem.</p>";
   	 	} 
 
		// Pega as dimensões da imagem
		$dimensoes = getimagesize($ico_novo["tmp_name"]);
 
		// Verifica se a largura da imagem é maior que a largura permitida
		if($dimensoes[0] > $largura) {
			$error[2] = "<p class='erro'>A largura da imagem não deve ultrapassar ".$largura." pixels</p>";
		}
 
		// Verifica se a altura da imagem é maior que a altura permitida
		if($dimensoes[1] > $altura) {
			$error[3] = "<p class='erro'>Altura da imagem não deve ultrapassar ".$altura." pixels</p>";
		}
 
		// Verifica se o tamanho da imagem é maior que o tamanho permitido
		if($ico_novo["size"] > $tamanho) {
   		 	$error[4] = "<p class='erro'>A imagem deve ter no máximo ".$tamanho." bytes</p>";
		}
 
		// Se não houver nenhum erro
		if (!isset($error)) {
 
			// Pega extensão da imagem
			preg_match("/\.(gif|bmp|png|jpg|JPG|jpeg|swf){1}$/i", $ico_novo["name"], $ext);
 
        	// Gera um nome único para a imagem
        	$nome_imagem = md5(uniqid(time())) . "." . $ext[1];
 
        	// Caminho de onde ficará a imagem
        	$caminho_icone = "img_pagina/" . $nome_imagem;
 
			// Faz o upload da imagem para seu respectivo caminho
			move_uploaded_file($ico_novo["tmp_name"], "../".$caminho_icone);
 			
		}
 
		// Se houver mensagens de erro, exibe-as
		if (isset($error)) {
			foreach ($error as $erro) {
				echo $erro . "<br />";
			}
		}
}
?>